<!-- <ng-container *ngIf="dataLoaded">
        <hx-entityDocs [selectedChart]="selectedChart" [resultData]="entityData" [callbackJson]="callbackJson"
            [pivot_config]="pivot_config_object">
        </hx-entityDocs>
    </ng-container> -->
<style>
  /* .customtable th:nth-child(n+2) {
              background-color: navy;
              color: white
          }
          .customtable th {
              width: 25%;
          } */
  .field-title {
    font-size: 16px;
  }

  .customtable {
    background-color: navy;
    color: white;
  }

 

  .mat-form-field {
    width: calc(100% - .1rem);
  }
</style>
<ng-template #popContent1>Test Control Analysis allows you to identify the sales impact of any change done at a Store (say, change in prices, or menu). This is done 
  by comparing sales in the Test stores to stores where this change was not made (Control stores).</ng-template>
<ng-template #popTitle1><b>Test - Control Analysis</b></ng-template>

<ng-template #popContent2 class="test_popover">
  <ul>
    <li>Stores where you have made a change/had a treatment. This defines the Test stores.</li>
    <li>Identify stores that are very similar to the Test stores in size, sales etc (this is important),
       but did not participate in the change. These are Control Stores. </li>
    <li>You can optionally specify Day Part, Order Mode or Department at which the change was made.  
      The results will always be shown split by Day Part, Order Mode and Department and hence this is optional.   </li>
    <li>This analysis will calculate the Sales response that was generated in the Test stores that was incremental to that in the Control Stores, by compariing to prior year (accounts for seasonality), and to the pre-period (accounts for recent trends).
        The sales response is calculated as Net Lift, (i.e., net sales response
         comparing Test stores to Control stores including Prior year and Pre-period sales).  </li>

  </ul>

</ng-template>
<ng-template #popTitle2><b>Inputs </b></ng-template>


<ng-template #popContent3 class="test_popover">
  <ul>
    <li>Net Lift results can be seen as $/# change or as % change. Use the toggle above to change the view. </li>
    <li>Summary Net Lift: Net Lift in Net Sales, Average Check and Check Count. </li>
    <li>Lift over PY during Test Period - This is the change in sales, when comparing sales in
       current year to prior year (PY), during the test period </li>
    <li>Lift over PY during Pre-Period - This is the change in sales, when comparing sales in current year to prior year, during Pre- period.
       Pre-period is a time window that is equal to the Test period, and immediately prior to it.   </li>
    <li>The above two lifts are calculated for Test Stores and Control Stores. </li>
    <li>Net Lift = (Test Stores Lift over PY during Test Periond - Control Stores Lift over PY during Test Period ) - (Test Stores  Lift over PY during Pre-Periond - Control Stores 
       Lift over PY during Pre Periond)   </li>
  </ul>

</ng-template>
<ng-template #popTitle3><b>Results</b></ng-template>
<div class="container-m--x pb-2" style="background: #fff;margin-top: -0.5rem;padding-top: 0.5rem;border-bottom: 1px solid #ccc;">

<div class="container-fluid">
  <div class="form-group w-100 pt-2" style="width:100%;">
    <div class="pl-0 pb-0 "> <img src='assets/img/magnifier.svg' />
      <span class="pl-1" style="font-size: 22px;color: #000000;vertical-align:middle; text-transform: capitalize;font-family: 'worksans';">Test -
        Control Analysis
        <img placement="right" [ngbPopover]="popContent1" [popoverTitle]="popTitle1" src='assets/img/info.svg'
          style='margin-left:5px;vertical-align:baseline;cursor:pointer;' /></span></div>

    <!-- <div ><img src='assets/img/magnifier.svg' style='margin:20px;'/><h3 class="card-title-material mb-0">Campaign Analysis</h3></div> -->

  </div>
</div>
<div class="col-md-12 p-0">
  <hr class="hr-border container-m--x mt-3 mb-3">
</div>
<!-- <block-ui> -->
<div [ngClass]="loadingBgColor" *blockUI="blockUIName; template: elementBlockTemplate1">

  <form [formGroup]="filtersForm" (ngSubmit)="onSubmit()" class="container-fluid">

    <div>
      <div class="mb-3"> <img src='assets/img/inputs.svg' class="pr-2" /> <span
          style="font-size: 20px;color: #000000;vertical-align:middle;">Inputs <img placement="right"
            [ngbPopover]="popContent2" [popoverTitle]="popTitle2" src='assets/img/info.svg'
            style='margin-left:5px;margin-bottom:5px;cursor:pointer;' /></span>
      </div>
      <div class="card-body res-mob-p-0" style="padding-top:0px;padding-bottom:5px;">
        <div>

          <!-- <div fxFlex="100%"> -->
          <div class="row mb-4">
            <!-- <div fxFlex="70%" fxLayout="" > -->


              <div class="col-auto pl-0">
                <div class="field-title mb-2" style="white-space: nowrap;">Select Test Window</div>
                <!-- <mat-form-field appearance="outline" style="margin-right:25px;">
                  <input matInput [matDatepicker]="fromDate" placeholder="From date"
                    [(ngModel)]="searchByFilters.fromDate" [ngModelOptions]="{standalone: true}" />
                  <mat-datepicker-toggle matSuffix [for]="fromDate"></mat-datepicker-toggle>
                  <mat-datepicker #fromDate></mat-datepicker>
                </mat-form-field> -->
                <mat-form-field appearance="outline" >
                    <mat-label>From</mat-label>
                    <input matInput [matDatepicker]="fromDate" placeholder="From date" [(ngModel)]="searchByFilters.fromDate"
                      [ngModelOptions]="{standalone: true}" />
                    <mat-datepicker-toggle matSuffix [for]="fromDate"></mat-datepicker-toggle>
                    <mat-datepicker #fromDate></mat-datepicker>
                  </mat-form-field>
              </div>
              <div class="col-auto">
                  <div class="field-title mb-2" style="white-space: nowrap;">&nbsp;</div>
                <!-- <div class="field-title" style="white-space: nowrap;">To</div> -->
                <!-- <mat-form-field appearance="outline" style="margin-right:25px;">
                  <input matInput [matDatepicker]="toDate" placeholder="To date" [(ngModel)]="searchByFilters.toDate"
                    [ngModelOptions]="{standalone: true}" />
                  <mat-datepicker-toggle matSuffix [for]="toDate"></mat-datepicker-toggle>
                  <mat-datepicker #toDate></mat-datepicker>
                </mat-form-field> -->
                <mat-form-field appearance="outline" >
                    <mat-label>To</mat-label>
                    <input matInput [matDatepicker]="toDate" placeholder="To date" [(ngModel)]="searchByFilters.toDate"
                      [ngModelOptions]="{standalone: true}" />
                    <mat-datepicker-toggle matSuffix [for]="toDate"></mat-datepicker-toggle>
                    <mat-datepicker #toDate></mat-datepicker>
                  </mat-form-field>
              </div>
            
            
              <div class="col-auto res-mob-ml--10">
                <div appearance="outline" style="line-height:0px;flex-direction: column;">
                  <div class="field-title pt-2" style="white-space: nowrap;">Select Aggregation</div>

                  <div appearance="outline" class="pt-4">
                    <!-- <mat-select-autocomplete #aggr class="grid-7-11 pd-t pt-2" [placeholder]="'Aggregation'"
                      [options]="aggregations" [display]="'label'" [value]="'value'" [multiple]='false' [labelCount]="2"
                      (selectionChange)="setFilterCriterea($event,'storeAggr')" [selectedOptions]="selectedOptionsAggr">
                    </mat-select-autocomplete> -->

                  </div>
                </div>
              </div>
              <div class="col-auto">
                <div style="line-height:0px;flex-direction: column;">
                  <div class="field-title pt-2">Select Metric</div>
                  <div appearance="outline" class="pt-4">
                    <!-- <mat-select-autocomplete #metric class="grid-7-11 pd-t pt-2" [placeholder]="'Metric'" [options]="metrics"
                      [display]="'label'" [value]="'value'" [multiple]='false' [labelCount]="2"
                      (selectionChange)="setFilterCriterea($event,'metrics')" [selectedOptions]="selectedOptionsMetric">
                      <mat-label>Metric</mat-label>
                    </mat-select-autocomplete> -->
                  </div>
                </div>
              </div>
            
          </div>
          <div class="row mb-1">


              <div class="col-auto pl-0" style="line-height:0px;">
                <!-- <div appearance="outline" style="margin-right:25px;line-height:0px;flex-direction: column;"> -->
                <div class="field-title" style="white-space: nowrap;">Select Test Stores</div>
                <!-- <div  appearance="outline"> -->
                <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="'State'" [options]="test_states"
                  [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                  (selectionChange)="setFilterCriterea($event,'test_state')">
                </mat-select-autocomplete> -->

              </div>

              <div class="col-auto">
                <!-- <div appearance="outline" style="margin-right:25px;"> -->
                <!-- <mat-select-autocomplete class="grid-7-11"  [placeholder]="'Region'" [options]="test_regions"
                  [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                  (selectionChange)="setFilterCriterea($event,'test_region')">
                </mat-select-autocomplete> -->

              </div>

              <div class="col-auto ipadpro-res-pl-0">

                <!-- <div appearance="outline" style="margin-right:25px;"> -->
                <!-- <mat-select-autocomplete class="grid-7-11 res-mob-ml--10 " [placeholder]="'Store'" [options]="test_stores"
                  [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                  (selectionChange)="setFilterCriterea($event,'test_store_name')">
                </mat-select-autocomplete> -->


              </div>
          
            
              <div class="col-auto" style="line-height:0px;">
                <!-- <div appearance="outline" style="margin-right:25px;line-height:0px;flex-direction: column;"> -->
                <div class="field-title" style="white-space: nowrap;">Select Control Stores</div>
                <!-- <div  appearance="outline"> -->
                <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="'State'" [options]="control_states"
                  [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                  (selectionChange)="setFilterCriterea($event,'control_state')">
                </mat-select-autocomplete> -->
                <!-- </div> -->
                <!-- </div> -->
              </div>

              <div class="col-auto">
                <!-- <div  appearance="outline" style="margin-right:25px;"> -->
                <!-- <mat-select-autocomplete class="grid-7-11 res-ml--10 res-mob-ml--10"  [placeholder]="'Region'" [options]="control_regions"
                  [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                  (selectionChange)="setFilterCriterea($event,'control_region')">
                </mat-select-autocomplete> -->


                <!-- </div> -->
              </div>
              <div class="col-auto">
                <!-- <div  appearance="outline" style="margin-right:25px;"> -->
                <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="'Store'" [options]="control_stores"
                  [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                  (selectionChange)="setFilterCriterea($event,'control_store_name')">
                </mat-select-autocomplete> -->
                <!-- </div> -->
              </div>
            
          </div>
          <div class="row mb-4">
            <div style="font-size: 12px;color: #44B2CB;cursor:pointer;" class="f-14" (click)="showAdditionalInputs()">
              Show Optional
              Inputs </div>
          </div>
          <div class="row" style="margin-top:20px;" *ngIf='showAdditionalInput'>
            <!-- <div class="col-3" > -->
            <div class="col-auto p-0">
              <mat-label class="field-title" style="white-space: nowrap;">Select Day Part</mat-label>
              <div appearance="outline">
                <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="'Day Part'" [options]="dayParts"
                  [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                  (selectionChange)="setFilterCriterea($event,'daypart')">
                </mat-select-autocomplete> -->
              </div>
            </div>

            <div class="col-auto pl-4 p-0">
              <mat-label class="field-title" style="white-space: nowrap;">Select Order Mode</mat-label>
              <div appearance="outline">
                <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="'Order Mode'" [options]="orderModes"
                  [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                  (selectionChange)="setFilterCriterea($event,'ordermodename')">
                </mat-select-autocomplete> -->
              </div>
            </div>

            <div class="col-auto pl-4 p-0">
              <mat-label class="field-title res-mob-ml--10" style="white-space: nowrap;">Select Product Category</mat-label>

              <div appearance="outline">
                <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="'Product Category'"
                  [options]="productCategories" [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                  (selectionChange)="setFilterCriterea($event,'saledepartmentname')">
                </mat-select-autocomplete>-->
              </div>
            </div>


            <!-- </div> -->
          </div>
          <div class="row">
            <div style="width:100%;">
              <div appearance="outline" style="line-height:0px;flex-direction: column;">
                <button class="btn btn-md btn-primary f-16 box-shadow-none" mat-raised-button>Analyze</button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!-- </mat-expansion-panel> -->
    <!-- <div class="col-md-12 p-0">
      <hr class="hr-border container-m--x mt-3 mb-3">
    </div> -->
  </form>
</div>
</div>
<div>
    <ng-container *ngIf="showResut" [ngClass]="showResut ? '' : 'd-none'">
      <div>


        <mat-toolbar style="background-color:transparent;" class="p-0">
          <div style="float:left;"><img src='assets/img/results.svg'  /> <span
              class="pl-1 v-middle f-20">Results</span> <img placement="right" [ngbPopover]="popContent3"
              [popoverTitle]="popTitle3" src='assets/img/info.svg'
              style='margin-left:5px;vertical-align: -webkit-baseline-middle;cursor:pointer;' /></div>

          <mat-button-toggle-group #group style="margin-left: auto;margin-right: auto;"
            [value]="currentView">
            <mat-button-toggle value="$" aria-label="Text align left" (change)="onViewTypeChange($event.value)">
              Dimension View ($,#)
            </mat-button-toggle>
            <mat-button-toggle value="%" aria-label="Text align center" (change)="onViewTypeChange($event.value)">
              Percentage View (%)
            </mat-button-toggle>

          </mat-button-toggle-group>
        </mat-toolbar>


        <!-- c level btn -->
        <div class="row pt-3">
          <div class="col-md-12">
            <mat-button-toggle-group #group style="border: none;" >
             <form class="ml-1 mb-2" style="display: flex;">
                <label class="custom-control custom-radio mb-0">
                  <!-- <label for="form-label">Confidence Level</label> -->
                  <input type="radio" id="defaultRadio1" name="confidence_per" class="custom-control-input"
                   [(ngModel)]="confidence_per" value="80_per">
                  <div class="custom-control-label" for="defaultRadio1">80% Confidence</div>
                </label>
                  <label class="ml-5 custom-control custom-radio mb-0">
                  <input type="radio" id="defaultRadio2" name="confidence_per" class="custom-control-input"
                   [(ngModel)]="confidence_per" value="95_per">
                  <div  class="custom-control-label" for="defaultRadio2">95% Confidence</div>
                </label>
              </form>
              
            </mat-button-toggle-group>
          </div>
        </div>

        <!-- c level btn -->

        <div class="row  w-100">
          <div class="col-md-12">
            <div class="test-title pt-0 mt-0 pb-2"></div><img src="assets/img/Summary.svg" class="test-head ml-0">
            <span class="v-middle f-20 fw-700">Net Lift Summary</span>
          </div>

          <div class="col-md-12">
            <div class="row">
              <div class="col-md-4" [ngClass]="summary_display_data == 'sum_net_sales' ? 'demo':''"
                (click)="changeSummaryData('sum_net_sales')">
                <div class="pl-4 pr-0 test-shadow test-padding test-border active-test-card">
                  <p class="test-label" *ngIf="getSignificance('summary_stats_data','sum_net_sales')">
                    Statistically Significant</p>
                  <div class="box-content">
                    <p class="form-label label-text-customl fw-700 f-24 gray">Net Sales</p>

                    <h3 *ngIf="currentView == '$'" class="text-large mb-1"
                      style="text-align: center;display: flex;margin-top:10px;line-height: 30px;">
                      <span class="f-28 black fw-700">${{transformNegative(responseData.summary_analysis[0].net_lift) | number}}
                        <i *ngIf="responseData.summary_analysis[0].net_lift<0" class="fas fa-caret-down down"
                          style="color:red;float:right;display: flex;justify-content: center;margin-left:10px;"></i>
                        <i *ngIf="responseData.summary_analysis[0].net_lift>0" class="fas fa-caret-up up"
                          style="color:green;float:right;display: flex;justify-content: center;margin-left:10px;"></i></span>
                    </h3>
                    <h3 *ngIf="currentView == '%'"
                      style="text-align: center;display: flex;font-size:30px;margin-top:10px;line-height: 30px;"
                      class="text-large mb-1"><span
                        class="f-28 black fw-700">{{transformNegative(responseData.summary_analysis[0].net_lift_per) | number}}%
                        <i *ngIf="responseData.summary_analysis[0].net_lift<0" class="fas fa-caret-down down"
                          style="color:red;float:right;display: flex;justify-content: center;margin-left:10px;"></i>
                        <i *ngIf="responseData.summary_analysis[0].net_lift>0" class="fas fa-caret-up up"
                          style="color:green;float:right;display: flex;justify-content: center;margin-left:10px;"></i></span>
                    </h3>
                    <p class="test-label1">P Value : {{getProbability('summary_stats_data','sum_net_sales') | number}}</p>
                  </div>

                </div>
                <div class="triangle-outer">
                  <span class="triangle-down"></span>
                </div>
              </div>


              <div class="col-md-4" [ngClass]="summary_display_data == 'average_check_amount' ? 'demo':''"
                (click)="changeSummaryData('average_check_amount')">
                <div class="pl-4 pr-0 test-shadow test-padding test-border active-test-card">
                  <p class="test-label" *ngIf="getSignificance('summary_stats_data','average_check_amount')">
                    Statistically Significant</p>

                  <div class="box-content">
                    <p class="form-label label-text-customl fw-700 f-24 gray">Average Check</p>
                    <h3 *ngIf="currentView == '$'"
                      style="text-align: center;display: flex;margin-top:10px;line-height: 30px;"
                      class="text-large mb-1">
                      <span class="f-28 black fw-700">${{transformNegative(responseData.summary_analysis[2].net_lift) | number}}
                        <i *ngIf="responseData.summary_analysis[2].net_lift<0" class="fas fa-caret-down down"
                          style="color:red;float:right;display: flex;justify-content: center;margin-left:10px;"></i>
                        <i *ngIf="responseData.summary_analysis[2].net_lift>0" class="fas fa-caret-up up"
                          style="color:green;float:right;display: flex;justify-content: center;margin-left:10px;"></i></span>
                    </h3>
                    <h3 *ngIf="currentView == '%'"
                      style="text-align: center;display: flex;font-size:30px;margin-top:10px;line-height: 30px;"
                      class="text-large mb-1"><span
                        class="f-28 black fw-700">{{transformNegative(responseData.summary_analysis[2].net_lift_per)}}%
                        <i *ngIf="responseData.summary_analysis[2].net_lift<0" class="fas fa-caret-down down"
                          style="color:red;float:right;display: flex;justify-content: center;margin-left:10px;"></i>
                        <i *ngIf="responseData.summary_analysis[2].net_lift>0" class="fas fa-caret-up up"
                          style="color:green;float:right;display: flex;justify-content: center;margin-left:10px;"></i></span>
                    </h3>
                    <p class="test-label1">P Value : {{getProbability('summary_stats_data','average_check_amount') | number}}</p>
                  </div>

                </div>
                <div class="triangle-outer">
                  <span class="triangle-down"></span>
                </div>
              </div>
              <div class="col-md-4" [ngClass]="summary_display_data == 'check_count' ? 'demo':''"
                (click)="changeSummaryData('check_count')">
                <div class="pl-4 pr-0 test-shadow test-padding test-border active-test-card">
                  <p class="test-label" *ngIf="getSignificance('summary_stats_data','check_count')">
                    Statistically Significant</p>
                  <div class="box-content">
                    <p class="form-label label-text-customl fw-700 f-24 gray">Check Count</p>
                    <h3 *ngIf="currentView == '$'"
                      style="text-align: center;display: flex;margin-top:10px;line-height: 30px;"
                      class="text-large mb-1">
                      <span class="f-28 black fw-700">{{transformNegative_checkcount(responseData.summary_analysis[1].net_lift) | number}}
                        <i *ngIf="responseData.summary_analysis[1].net_lift<0" class="fas fa-caret-down down"
                          style="color:red;float:right;display: flex;justify-content: center;margin-left:10px;"></i>
                        <i *ngIf="responseData.summary_analysis[1].net_lift>0" class="fas fa-caret-up up"
                          style="color:green;float:right;display: flex;justify-content: center;margin-left:10px;"></i></span>
                    </h3>
                    <h3 *ngIf="currentView == '%'"
                      style="text-align: center;display: flex;font-size:30px;margin-top:10px;line-height: 30px;"
                      class="text-large mb-1"><span
                        class="f-28 black fw-700">{{transformNegative(responseData.summary_analysis[1].net_lift_per)}}%
                        <i *ngIf="responseData.summary_analysis[1].net_lift<0" class="fas fa-caret-down down"
                          style="color:red;float:right;display: flex;justify-content: center;margin-left:10px;"></i>
                        <i *ngIf="responseData.summary_analysis[1].net_lift>0" class="fas fa-caret-up up"
                          style="color:green;float:right;display: flex;justify-content: center;margin-left:10px;"></i></span>
                    </h3>
                    <p class="test-label1">P Value : {{getProbability('summary_stats_data','check_count') | number}}</p>
                  </div>

                </div>

                <div class="triangle-outer">
                  <span class="triangle-down"></span>
                </div>
              </div>

            </div>
          </div>
        </div>


        <div class="row w-100 pt-3 mb-4">
          <div class="col-md-12">
            <div class="test-shadow test-border">

              <div class="card-header with-elements pr-0 p-0">

                <div class="test-title gray ml-3">
                  {{summary_title}}
                </div>

                <div class="pd-toggle-3" style="position: absolute;right:3%;">
                  <button type="button" class="btn  " [ngClass]="{'btn-secondary' : summaryviewType=='line'}" placement="top" ngbTooltip="Line Chart"
                    (click)="buildLineChart('netLiftChart_summary','summary_graph_data', 'line')"><i
                      class="d-block fas fa-chart-line"></i></button>
                  <button type="button" class="btn  " [ngClass]="{'btn-secondary' : summaryviewType=='graph'}" placement="top" ngbTooltip="Waterfall Chart"
                    (click)="LoadGraph('summary', summary_display_data)">
                    <i class="d-block far fa-chart-bar"></i></button>
                  <button type="button" class="btn  " [ngClass]="{'btn-secondary' : summaryviewType=='table'}" placement="top" ngbTooltip="Table"
                    (click)="toggleTableView('summary','table')"><i class="d-block fas fa-table"></i></button>
                  <!-- (click)="buildFlatTable('netLiftChart_summary','summary_graph_data', 'pivot')" -->

                </div>

              </div>

              <fm-pivot [hidden]="!(summaryviewType=='table')" id='pivotcontainer' #pivotcontainer [toolbar]="false"
                [width]="'100%'" [height]="400" [global]=global [customizeCell]="customizeCellFunction.bind(this)"
                [licenseKey]="'Z7TE-102510-6Z0345-61393B-585P5Q-3X053C-5F5P3O-1B2038-6T164M-6F1V6W-0K61'">
              </fm-pivot>

              <div [hidden]="!(summaryviewType=='graph'||summaryviewType=='line')" id='netLiftChart_summary' style="    height: 400px;
                      margin-left: auto;
                      margin-right: auto;
                      overflow: hidden;
                      padding-left: 20px;
                      padding-right: 20px;padding-bottom:10px;
                  "></div>
            </div>
          </div>
        </div>

        <div class="row pt-4 mb-4 w-100">
          <div class="col-md-12"> <img src='assets/img/Clock.svg' class="test-head ml-0" />
            <span class="v-middle f-20 fw-700">Net Lift by Day Part</span>
            <!-- <div style="float:right;margin:20px;cursor: pointer;" class="{{daypartdataviewClass}}"
                    (click)="toggleTableView('daypart')"></div> -->
          </div>



          <div class="col-lg-6 col-md-12" style="width: 100%;">
            <!-- <div class="test-border test-shadow ipad-res-mt-10  ipad-res-mt-10  "> -->
            <div *ngIf="currentView == '$'" style="width: 100%;">

              <div class="card cardPanel ">
                <div class="row" style="margin:0;">
                  <div class="col-md-12 pr-0">
                    <table border="0" class="data h-456 px-20" [perfectScrollbar]>
                      <thead class="t-thead">
                        <tr class="head">
                          <th class="wd-25">Stat. Sig.</th>
                          <th class="wd-50">Day Part</th>
                          <th class="wd-50">Net Lift ($)</th>
                          <th class="wd-10">P Value</th>

                        </tr>
                      </thead>
                      <tbody class="test-tbody">
                        <tr *ngFor="let dpart of pivotData_daypart" class="rowdata" (click)="onClickFCByDayPart(dpart)"
                          [ngClass]="{'active' : fcByDayPartActiveDivId == dpart.summary}">
                          <td class="wd-25"><span class="inactive"
                              [ngClass]="{'square' : getSignificance('day_part_stats_data',dpart.summary)}"></span></td>
                          <td class="wd-50">{{dpart.summary}}</td>
                          <td class="wd-50">${{transformNegative(dpart.net_lift) | number}}
                            <i *ngIf="dpart.net_lift<0" class="fas fa-caret-down down"
                              style="color:red;justify-content: center;margin-left:10px;"></i>
                            <i *ngIf="dpart.net_lift>0" class="fas fa-caret-up up"
                              style="color:green;justify-content: center;margin-left:10px;"></i>
                          </td>
                          <td class="wd-10">{{getProbability('day_part_stats_data',dpart.summary) | number}}</td>


                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

            </div>
            <div *ngIf="currentView == '%'" style="width: 100%;">
              <div class="card cardPanel ">
                <div class="row" style="margin:0;">
                  <div class="col-md-12">
                    <table border="0" class="data h-456 px-20" [perfectScrollbar]>
                      <thead class="t-thead">
                        <tr class="head">
                          <th class="wd-25">Stat. Sig.</th>
                          <th class="wd-50">Day Part</th>
                          <th class="wd-50">Net Lift (%)</th>
                          <th class="wd-10">P Value</th>
                        </tr>
                      </thead>
                      <tbody class="test-tbody">
                        <tr *ngFor="let dpart of pivotData_daypart_per" class="rowdata"
                          (click)="onClickFCByDayPart(dpart)"
                          [ngClass]="{'active' : fcByDayPartActiveDivId == dpart.summary}">
                          <td class="wd-25"><span class="inactive"
                              [ngClass]="{'square' : getSignificance('day_part_stats_data',dpart.summary)}"></span></td>
                          <td class="wd-50">{{dpart.summary}}</td>
                          <td class="wd-50">{{transformNegative(dpart.net_lift)}}%
                            <i *ngIf="dpart.net_lift<0" class="fas fa-caret-down down"
                              style="color:red;justify-content: center;margin-left:10px;"></i>
                            <i *ngIf="dpart.net_lift>0" class="fas fa-caret-up up"
                              style="color:green;justify-content: center;margin-left:10px;"></i>
                          </td>
                          <td class="wd-10">{{getProbability('day_part_stats_data',dpart.summary)}}</td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
            <!-- </div> -->
          </div>


          <div class="col-lg-6 col-md-12">
            <div class="test-border test-shadow ipad-res-mt-10 ">
              <div class="card-header with-elements pr-0" style="padding:0px;">

                <div class="test-title gray ml-3">
                  {{fcByDayPartActiveDivId}}
                </div>
                <div class="pd-toggle-3" style="position: absolute;right:3%;">
                  <button type="button" class="btn  " [ngClass]="{'btn-secondary' : daypartviewType=='line'}" placement="top" ngbTooltip="Line Chart"
                    (click)="buildLineChart('netLiftChart_daypart','day_part_graph_data', 'line')"><i
                      class="d-block fas fa-chart-line"></i></button>
                  <button type="button" class="btn  " (click)="toggleTableView('daypart')" placement="top" ngbTooltip="Waterfall Chart"
                    [ngClass]="{'btn-secondary' : daypartviewType=='graph'}">
                    <i class="d-block far fa-chart-bar"></i></button>
                  <button type="button" class="btn  " (click)="toggleTableView('daypart','table')" placement="top" ngbTooltip="Table"
                    [ngClass]="{'btn-secondary' : daypartviewType=='table'}">

                    <i class="d-block fas fa-table"></i></button>
                </div>

                <!-- (click)="buildFlatTable('netLiftChart_daypart','day_part_graph_data', 'pivot')" -->
              </div>

              <fm-pivot [hidden]="!(daypartviewType=='table')" #pivotcontainer_daypart
                [componentFolder]="'https://cdn.flexmonster.com/'" [toolbar]="false" [width]="'100%'" [height]="400"
                [global]=global [customizeCell]="customizeCellFunction.bind(this)"
                [licenseKey]="'Z7TE-102510-6Z0345-61393B-585P5Q-3X053C-5F5P3O-1B2038-6T164M-6F1V6W-0K61'">
              </fm-pivot>

              <div [hidden]="!(daypartviewType=='graph'||daypartviewType=='line')" id='netLiftChart_daypart'
                class="test-chart-height"></div>

            </div>
          </div>



          <!-- <div id='netLiftChart_daypart' style="height:150px;"></div> -->


          <!-- </mat-expansion-panel> -->

        </div>



        <div class="row pt-4 mb-4 w-100">
          <div class="col-md-12"> <img src='assets/img/sales.svg' class="test-head ml-0" />
            <span class="f-20 fw-700 v-middle">Net Lift by Order Mode</span>
          </div>

          <div class="col-lg-6 col-md-12" *ngIf="currentView == '$'">
            <!-- <div class="test-border test-shadow ipad-res-mt-10  "> -->

            <div class="card cardPanel ">
              <div class="row" style="margin:0;">
                <div class="col-md-12 pr-0">
                  <table border="0" class="data h-456 px-20" [perfectScrollbar]>
                    <thead class="t-thead">
                      <tr class="head">
                        <th class="wd-25">Stat. Sig.</th>
                        <th class="wd-50">Order Mode</th>
                        <th class="wd-50">Net Lift ($)</th>
                        <th class="wd-10">P Value</th>

                      </tr>
                    </thead>
                    <tbody class="test-tbody">
                      <tr *ngFor="let dpart of pivotData_ordermode" class="rowdata"
                        (click)="onClickFCByOrderMode(dpart)"
                        [ngClass]="{'active' : fcByOrderModeActiveDivId == dpart.summary}">
                        <td class="wd-25"><span class="inactive"
                            [ngClass]="{'square' : getSignificance('order_mode_stats_data',dpart.summary)}"></span></td>
                        <td class="wd-50">{{dpart.summary}}</td>
                        <td class="wd-50">${{transformNegative(dpart.net_lift) | number}}
                          <i *ngIf="dpart.net_lift<0" class="fas fa-caret-down down"
                            style="color:red;justify-content: center;margin-left:10px;"></i>
                          <i *ngIf="dpart.net_lift>0" class="fas fa-caret-up up"
                            style="color:green;justify-content: center;margin-left:10px;"></i>
                        </td>
                        <td class="wd-10">{{getProbability('order_mode_stats_data',dpart.summary)}}</td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>



          </div>

          <div class="col-lg-6 col-md-12" *ngIf="currentView == '%'">
            <!-- <div class="test-border test-shadow ipad-res-mt-10  "> -->
            <div class="card cardPanel ">
              <div class="row" style="margin:0;">
                <div class="col-md-12 pr-0">
                  <table border="0" class="data h-456 px-20" [perfectScrollbar]>
                    <thead class="t-thead">
                      <tr class="head">
                        <th class="wd-25">Stat. Sig.</th>
                        <th class="wd-50">Order Mode</th>
                        <th class="wd-50">Net Lift (%)</th>
                        <th class="wd-10">P Value</th>

                      </tr>
                    </thead>
                    <tbody class="test-tbody">
                      <tr *ngFor="let dpart of pivotData_ordermode_per" class="rowdata"
                        (click)="onClickFCByOrderMode(dpart)"
                        [ngClass]="{'active' : fcByOrderModeActiveDivId == dpart.summary}">
                        <td class="wd-25"><span class="inactive"
                            [ngClass]="{'square' : getSignificance('order_mode_stats_data',dpart.summary)}"></span></td>
                        <td class="wd-50">{{dpart.summary}}</td>
                        <td class="wd-50">{{transformNegative(dpart.net_lift)}}%
                          <i *ngIf="dpart.net_lift<0" class="fas fa-caret-down down"
                            style="color:red;justify-content: center;margin-left:10px;"></i>
                          <i *ngIf="dpart.net_lift>0" class="fas fa-caret-up up"
                            style="color:green;justify-content: center;margin-left:10px;"></i>
                        </td>
                        <td class="wd-10">{{getProbability('order_mode_stats_data',dpart.summary)}}</td>

                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>

          </div>


          <div class="col-lg-6 col-md-12">
            <div class="test-border test-shadow ipad-res-mt-10 ">
              <div class="card-header with-elements pr-0" style="padding:0px;">

                <div class="test-title gray ml-3">
                  {{fcByOrderModeActiveDivId}}
                </div>
                <div class="pd-toggle-3" style="position: absolute;right:3%;">
                  <button type="button" class="btn  " [ngClass]="{'btn-secondary' : ordermodeviewType=='line'}" placement="top" ngbTooltip="Line Chart"
                    (click)="buildLineChart('netLiftChart_ordermode','order_mode_graph_data', 'line')"><i
                      class="d-block fas fa-chart-line"></i></button>
                  <button type="button" class="btn  " [ngClass]="{'btn-secondary' : ordermodeviewType=='graph'}" placement="top" ngbTooltip="Waterfall Chart"
                    (click)="toggleTableView('ordermode')"><i class="d-block far fa-chart-bar"></i></button>
                  <button type="button" class="btn  " [ngClass]="{'btn-secondary' : ordermodeviewType=='table'}" placement="top" ngbTooltip="Table"
                    (click)="toggleTableView('ordermode','table')"><i class="d-block fas fa-table"></i></button>
                  <!-- (click)="buildFlatTable('netLiftChart_ordermode','order_mode_graph_data', 'pivot')" -->
                </div>


              </div>


              <fm-pivot [hidden]="!(ordermodeviewType=='table')" #pivotcontainer_ordermode
                [componentFolder]="'https://cdn.flexmonster.com/'" [toolbar]="false" [width]="'100%'" [height]="400"
                [global]=global [customizeCell]="customizeCellFunction.bind(this)"
                [licenseKey]="'Z7TE-102510-6Z0345-61393B-585P5Q-3X053C-5F5P3O-1B2038-6T164M-6F1V6W-0K61'">
              </fm-pivot>



              <div [hidden]="!(ordermodeviewType=='graph'||ordermodeviewType=='line')" id='netLiftChart_ordermode'
                class="test-chart-height"></div>

              <!-- <div id='netLiftChart_ordermode' style="height:300px;"></div> -->
            </div>
          </div>

          <!-- </mat-expansion-panel> -->

        </div>

        <div class="row pt-4 mb-4 w-100">
          <div class="col-md-12"> <img src='assets/img/Categorization.svg' class="test-head ml-0" /> <span
              class="v-middle f-20 fw-700">Net Lift by Product Category</span>
          </div>
          <div class="col-lg-6 col-md-12">
            <div *ngIf="currentView == '$'">
              <div class="card cardPanel ">
                <div class="row" style="margin:0;">
                  <div class="col-md-12 pr-0">
                    <table border="0" class="data h-456 px-20" [perfectScrollbar]>
                      <thead class="t-thead">
                        <tr class="head">
                          <th class="wd-25">Stat. Sig.</th>
                          <th class="wd-50">Product Category</th>
                          <th class="wd-50">Net Lift ($)</th>
                          <th class="wd-10">P Value</th>
                        </tr>
                      </thead>
                      <tbody class="test-tbody">
                        <tr *ngFor="let dpart of pivotData_departments_sum" class="rowdata"
                          (click)="onClickFCByProductCategory(dpart)"
                          [ngClass]="{'active' : fcByProductCatActiveDivId == dpart.title}">
                          <td class="wd-25"><span class="inactive"
                              [ngClass]="{'square' : getSignificance('department_stats_data',dpart.title)}"></span></td>
                          <td class="wd-50">{{dpart.title}}</td>
                          <td class="wd-50">${{transformNegative(dpart.net_lift) | number}}
                            <i *ngIf="dpart.net_lift<0" class="fas fa-caret-down down"
                              style="color:red;justify-content: center;margin-left:10px;"></i>
                            <i *ngIf="dpart.net_lift>0" class="fas fa-caret-up up"
                              style="color:green;justify-content: center;margin-left:10px;"></i>
                          </td>
                          <td class="wd-10">{{getProbability('department_stats_data',dpart.title)}}</td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
            <div *ngIf="currentView == '%'">

              <div class="card cardPanel ">
                <div class="row" style="margin:0;">
                  <div class="col-md-12 pr-0">
                    <table border="0" class="data h-456 px-20" [perfectScrollbar]>
                      <thead class="t-thead">
                        <tr class="head">
                          <th class="wd-25">Stat. Sig.</th>
                          <th class="wd-50">Product Category</th>
                          <th class="wd-50">Net Lift (%)</th>
                          <th class="wd-10">P Value</th>

                        </tr>
                      </thead>
                      <tbody class="test-tbody">
                        <tr *ngFor="let dpart of pivotData_departments_sum_per" class="rowdata"
                          (click)="onClickFCByProductCategory(dpart)"
                          [ngClass]="{'active' : fcByProductCatActiveDivId == dpart.title}">
                          <td class="wd-25"><span class="inactive"
                              [ngClass]="{'square' : getSignificance('department_stats_data',dpart.title)}"></span></td>
                          <td class="wd-50">{{dpart.title}}</td>
                          <td class="wd-50">{{transformNegative(dpart.net_lift)}}%
                            <i *ngIf="dpart.net_lift<0" class="fas fa-caret-down down"
                              style="color:red;justify-content: center;margin-left:10px;"></i>
                            <i *ngIf="dpart.net_lift>0" class="fas fa-caret-up up"
                              style="color:green;justify-content: center;margin-left:10px;"></i>
                          </td>
                          <td class="wd-10">{{getProbability('department_stats_data',dpart.title)}}</td>

                        </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>

            </div>
            <!-- </div> -->
          </div>


          <div class="col-lg-6 col-md-12">
            <div class="test-border test-shadow ipad-res-mt-10 ">
              <div class="card-header with-elements pr-0" style="padding:0px;">

                <div class="test-title ml-3 gray">
                  {{fcByProductCatActiveDivId}}
                </div>
                <div class="pd-toggle-3" style="position: absolute;right:3%;">
                  <button type="button" class="btn  " [ngClass]="{'btn-secondary' : departmentviewType=='line'}" placement="top" ngbTooltip="Line Chart"
                    (click)="buildLineChart('netLiftChart_department','department_graph_data', 'line')"><i
                      class="d-block fas fa-chart-line"></i></button>
                  <button type="button" class="btn  " [ngClass]="{'btn-secondary' : departmentviewType=='graph'}" placement="top" ngbTooltip="Waterfall Chart"
                    (click)="toggleTableView('department')"><i class="d-block far fa-chart-bar"></i></button>
                  <button type="button" class="btn  " [ngClass]="{'btn-secondary' : departmentviewType=='table'}" placement="top" ngbTooltip="Table"
                    (click)="toggleTableView('department','table')"><i class="d-block fas fa-table"></i></button>
                  <!-- (click)="buildFlatTable('netLiftChart_department','department_graph_data', 'pivot')" -->
                </div>


              </div>
              <fm-pivot [hidden]="!(departmentviewType=='table')" #pivotcontainer_departments
                [componentFolder]="'https://cdn.flexmonster.com/'" [toolbar]="false" [width]="'100%'" [height]="400"
                [global]=global [customizeCell]="customizeCellFunction.bind(this)"
                [licenseKey]="'Z7TE-102510-6Z0345-61393B-585P5Q-3X053C-5F5P3O-1B2038-6T164M-6F1V6W-0K61'">
              </fm-pivot>
              <div [hidden]="!(departmentviewType=='graph'||departmentviewType=='line')" id='netLiftChart_department'
                class="test-chart-height"></div>

            </div>

          </div>

        </div>


      </div>


      <mat-expansion-panel style="box-shadow:none" style="display:none;" displayMode="flat" hideToggle="true"
        expanded="true">
        <mat-expansion-panel-header aria-expanded="true">
          <mat-panel-title>
            Results
          </mat-panel-title>
        </mat-expansion-panel-header>


        <mat-toolbar>
          <mat-button-toggle-group #group style="margin-left: auto;margin-right: auto;">
            <mat-button-toggle value="$" aria-label="Text align left" (change)="onViewTypeChange($event.value)">
              $
            </mat-button-toggle>
            <mat-button-toggle value="%" aria-label="Text align center" (change)="onViewTypeChange($event.value)">
              %
            </mat-button-toggle>

          </mat-button-toggle-group>
        </mat-toolbar>

        <div>

          <div>

            <table width="100%" mat-table [dataSource]="results_summary">
              <ng-container matColumnDef="title">
                <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef></th>
                <td mat-cell *matCellDef="let element"> {{element.title}} </td>
              </ng-container>
              <ng-container matColumnDef="summary">
                <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef></th>
                <td mat-cell *matCellDef="let element"> {{element.summary}} </td>
              </ng-container>
              <ng-container matColumnDef="pre_period_lift_from_PY_store1">
                <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef>Pre Period Lift from PY </th>
                <td mat-cell *matCellDef="let element"> {{element.pre_period_lift_from_PY_store1}} </td>
              </ng-container>
              <ng-container matColumnDef="test_period_lift_from_PY_store1">
                <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef> Test Period lift from PY </th>
                <td mat-cell *matCellDef="let element"> {{element.test_period_lift_from_PY_store1}} </td>
              </ng-container>
              <ng-container matColumnDef="pre_period_lift_from_PY_store2">
                <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef> Pre Period Lift from PY </th>
                <td mat-cell *matCellDef="let element"> {{element.pre_period_lift_from_PY_store2}} </td>
              </ng-container>
              <ng-container matColumnDef="test_period_lift_from_PY_store2">
                <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef> Pre Period Lift from PY </th>
                <td mat-cell *matCellDef="let element"> {{element.test_period_lift_from_PY_store2}} </td>
              </ng-container>
              <!-- <ng-container matColumnDef="net_lift">
                      <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef> Net Lift </th>
                      <td  mat-cell *matCellDef="let element"> {{element.net_lift}} </td>
                    </ng-container> -->

              <tr mat-header-row *matHeaderRowDef="results_summaryColumns"></tr>
              <tr mat-row *matRowDef="let row; columns: results_summaryColumns;"></tr>
            </table>
          </div>

          <div>
            <table width="100%" mat-table [dataSource]="results_summary">

              <ng-container matColumnDef="title">
                <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef></th>
                <td mat-cell *matCellDef="let element"> {{element.title}} </td>
              </ng-container>
              <ng-container matColumnDef="summary">
                <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef></th>
                <td mat-cell *matCellDef="let element"> {{element.summary}} </td>
              </ng-container>
              <ng-container matColumnDef="net_lift">
                <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef> Net Lift </th>
                <td mat-cell *matCellDef="let element"> {{element.net_lift}} </td>
              </ng-container>
              <!-- <ng-container matColumnDef="net_lift">
                      <th style="background-color:#e9e9e9" mat-header-cell *matHeaderCellDef> Net Lift </th>
                      <td  mat-cell *matCellDef="let element"> {{element.net_lift}} </td>
                    </ng-container> -->

              <tr mat-header-row *matHeaderRowDef="results_netFitColumns"></tr>
              <tr mat-row *matRowDef="let row; columns: results_netFitColumns;"></tr>
            </table>
          </div>


        </div>


      </mat-expansion-panel>

    </ng-container>
    <ng-container *ngIf="!noData">
      <div style="padding: 10px;margin:auto">There is no result to show.</div>
    </ng-container>
  </div>
  <!-- </block-ui> -->


<ng-template #elementBlockTemplate1>
    <custom-loader [loaderArr]="loaderArr" *ngIf="loaderArr && loaderArr.length>0"></custom-loader>
    <div class="block-ui-template" *ngIf="!(loaderArr.length>0)">
        <div class="sk-double-bounce sk-primary">
            <div class="sk-child sk-double-bounce1"></div>
            <div class="sk-child sk-double-bounce2"></div>
        </div>
        <span class="loading-text-material">
            <p class="text-center text-white"> {{loadingText}} </p>
        </span>
    </div>
</ng-template>